Unable to load dynamic library 'pdo_mysql': undefined symbol

Forum for you who has PHP installation issues

Moderators: egami, macek, gesf

Post Reply
FlorisVidda
New php-forum User
New php-forum User
Posts: 1
Joined: Mon Sep 28, 2020 11:46 pm

Mon Sep 28, 2020 11:57 pm

Hi everyone,

After installing PHP on my Ubuntu machine and activating the `pdo_mysql` plugin, I'm getting this error:

Code: Select all

$ php -v
PHP Warning:  PHP Startup: Unable to load dynamic library 'pdo_mysql' (tried: /usr/lib/php/20170718/pdo_mysql (/usr/lib/php/20170718/pdo_mysql: cannot open shared object file: No such file or directory), /usr/lib/php/20170718/pdo_mysql.so (/usr/lib/php/20170718/pdo_mysql.so: undefined symbol: mysqlnd_allocator)) in Unknown on line 0
PHP 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Aug  7 2020 14:44:29) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.2.33-1+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies
I'm running Ubuntu 18.04 and below you can find the PHP packages I installed:

Code: Select all

php7.2/bionic,bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 all [installed]
php7.2-cli/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php7.2-common/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php7.2-curl/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.2-gd/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.2-json/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php7.2-mbstring/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.2-mysql/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.2-opcache/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php7.2-pgsql/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.2-readline/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php7.2-xml/bionic,now 7.2.33-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
Post Reply